package intrinsic.flash.events;

public class DRMStatusEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public int subErrorCode;
	public int errorCode;
	public Object originater;
	public String errorDetails;

	/** Variables */

	/** Constants */
	public static final String DRM_STATUS = "drm_status";

	/** Class Accessors */
	public static int ERROR_APPVERSION_MISMATCH;
	public static int ERROR_APPID_MISMATCH;
	public static int ERROR_WRONG_LICENSE_KEY;
	public static int ERROR_INTERNAL_FAILURE;
	public static int ERROR_VOUCHER_INTEGRITY;
	public static int ERROR_CORRUPTED_FLV;
	public static int ERROR_SERVER_CONNECTION_FAILED;
	public static int ERROR_CLIENT_UPDATE_REQUIRED;
	public static int ERROR_AUTHORIZATION_FAILED;
	public static int ERROR_CONTENT_EXPIRED;
	public static int OK;
	public static int ERROR_AUTHENTICATION_FAILED;
	public static int ERROR_REQUIRESSL;

	/** Class variables */

/** Contructors */
public DRMStatusEvent() {
}

public DRMStatusEvent(String arg0) {
}

public DRMStatusEvent(String arg0, boolean arg1) {
}

public DRMStatusEvent(String arg0, boolean arg1, boolean arg2) {
}

public DRMStatusEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public DRMStatusEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public DRMStatusEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5) {
}

public DRMStatusEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5, Object arg6) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
